worker_processes  1;
error_log  nul emerg;
pid        c:\\nginx.pid;

events {
    worker_connections  1024;
}

http {
    include       mime.types;
    default_type  application/octet-stream;

	# Turn off the bloody buffering to temp files
	proxy_buffering off;

    access_log  off;

    sendfile        on;
    tcp_nopush     on;

    keepalive_timeout  65;

    gzip  on;
	gzip_http_version 1.1;
    gzip_comp_level 2;
    gzip_types text/css text/xml image/png application/json
		application/javascript image/svg+xml;

    server {
        listen       127.0.0.1:8085;
        server_name  localhost;

        location / {
            root   html;
            index  index.html index.htm;
        }

		# These two should be the same or nginx will start writing
		#  large request bodies to temp files
		client_body_buffer_size 10m;
		client_max_body_size 10m;

		# turn off temp paths for windows readonly
		client_body_temp_path  nul;
		proxy_temp_path nul;
		fastcgi_temp_path nul;
		uwsgi_temp_path nul;
		scgi_temp_path nul;
    }
}
